Bug 1909790 - PipelineBuilder yaml view cannot be used for editing a pipeline
Summary: PipelineBuilder yaml view cannot be used for editing a pipeline
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.7.0
Assignee: Debsmita Santra
QA Contact: spathak@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-21 16:19 UTC by Debsmita Santra
Modified: 2021-02-24 15:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:47:19 UTC
Target Upstream Version:


Attachments (Terms of Use)
PipelineBuilder yaml view can be used for editing a pipeline (1.80 MB, video/webm)
2021-01-15 06:24 UTC, spathak@redhat.com
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7618 0 None closed Bug 1909790: fix pipeline yaml edit flow 2021-01-15 06:23:30 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:47:42 UTC

Description Debsmita Santra 2020-12-21 16:19:36 UTC
Description of problem:
Pipeline cannot be edited using PipelineBuilder yaml view as on saving the yaml an error is thrown saying `Error "Invalid value: 0x0: must be specified for an update" for field "metadata.resourceVersion".`


Version-Release number of selected component (if applicable):
4.7

How reproducible:
Always

Steps to Reproduce:
1. Create a pipeline
2. Go to pipelines page
3. Click on edit pipeline kebab menu action
4. Go to yaml view
5. Edit the pipeline

Actual results:
Error alert with message `Error "Invalid value: 0x0: must be specified for an update" for field "metadata.resourceVersion".`

Expected results:
There should be no error and PipelineBuilder yaml view should work as expected.

Additional info:

Comment 2 spathak@redhat.com 2021-01-15 06:24:46 UTC
Created attachment 1747681 [details]
PipelineBuilder yaml view can be used for editing a pipeline

Comment 3 spathak@redhat.com 2021-01-15 06:48:43 UTC
Verified on build version: 4.7.0-0.nightly-2021-01-13-124141
Browser version: Chrome 84

Comment 6 errata-xmlrpc 2021-02-24 15:47:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.